diff --git a/src/backend/commands/vacuum.c b/src/backend/commands/vacuum.c
index 873209d946..4d2d5d46f1 100644
--- a/src/backend/commands/vacuum.c
+++ b/src/backend/commands/vacuum.c
@@ -209,7 +209,7 @@ ExecVacuum(ParseState *pstate, VacuumStmt *vacstmt, bool isTopLevel)
 			{
 				ereport(ERROR,
 						(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
-						 errmsg("value: \"%s\": is invalid for buffer_usage_limit",
+						 errmsg("invalid value for \"buffer_usage_limit\": \"%s\"",
 								vac_buffer_size),
 						 hintmsg ? errhint("%s", _(hintmsg)) : 0));
 			}
diff --git a/src/test/regress/expected/vacuum.out b/src/test/regress/expected/vacuum.out
index 044b761024..7a73ddb716 100644
--- a/src/test/regress/expected/vacuum.out
+++ b/src/test/regress/expected/vacuum.out
@@ -364,7 +364,7 @@ VACUUM (BUFFER_USAGE_LIMIT 120) vac_option_tab;
 ERROR:  buffer_usage_limit option must be 0 or between 128 kB and 16777216 kB
 -- integer overflow error
 VACUUM (BUFFER_USAGE_LIMIT 10000000000) vac_option_tab;
-ERROR:  value: "10000000000": is invalid for buffer_usage_limit
+ERROR: invalid value for "buffer_usage_limit": "10000000000"
 HINT:  Value exceeds integer range.
 -- incompatible with VACUUM FULL error
 VACUUM (BUFFER_USAGE_LIMIT '512 kB', FULL) vac_option_tab;
